SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetNLU] NULL,'test2'
CREATE PROCEDURE [dbo].[GetNLU] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	IF EXISTS (SELECT 1 FROM [NLU]
	WHERE [VCC] = CASE WHEN ISNULL(@VCC, '') = '' THEN [VCC] ELSE @VCC END 
	AND [Name] = @Name )
	
	BEGIN 
		SELECT
			[VCC]							'vcc',
			[Name]						    'name',
			[CognitiveEngine]				'cognitiveEngine',
			[Culture]						'culture',
			[Description]					'description',
			[AppId]							'appId',
			[SubscriptionKey]				'subscriptionKey',
			[IsSystemApp]					'isSystemApp',
			[NeedTrain]						'needTrain',
			[LastTrainedDate]				'lastTrainedDateTime',
			[LastPublishedDate]				'lastPublishedDateTime',
			[CreatedDate]					'createdDate',
			[CreatedByUserId]				'createdByUserId',
			[LastModifiedDate]				'lastModifiedDate',
			[LastModifiedByUserId]			'lastModifiedByUserId'
		FROM [NLU] (NOLOCK)
		WHERE [VCC] = CASE WHEN ISNULL(@VCC, '') = '' THEN [VCC] ELSE @VCC END 
		AND [Name] = @Name
	END
	ELSE
	BEGIN
		SELECT
				[VCC]							'vcc',
				[Name]						    'name',
				[CognitiveEngine]				'cognitiveEngine',
				[Culture]						'culture',
				[Description]					'description',
				[AppId]							'appId',
				[SubscriptionKey]				'subscriptionKey',
				[IsSystemApp]					'isSystemApp',
				[NeedTrain]						'needTrain',
				[LastTrainedDate]				'lastTrainedDateTime',
				[LastPublishedDate]				'lastPublishedDateTime',
				[CreatedDate]					'createdDate',
				[CreatedByUserId]				'createdByUserId',
				[LastModifiedDate]				'lastModifiedDate',
				[LastModifiedByUserId]			'lastModifiedByUserId'
			FROM [NLU] (NOLOCK)
			WHERE [VCC] = 'system'
			AND [Name] = @Name
			AND [Name] LIKE 'sentiment-%'
		
	END
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
